--- a/src/main/c/jnibwa.c
+++ b/src/main/c/jnibwa.c
@@ -159,7 +159,7 @@
 	bwaidx_t* pIdx = calloc(1, sizeof(bwaidx_t));
 	bwa_mem2idx(statBuf.st_size, mem, pIdx);
 	pIdx->is_shm = 1;
-	mem_fmt_fnc = &fmt_BAMish;
+	//mem_fmt_fnc = &fmt_BAMish;
 	bwa_verbose = 0;
 	return pIdx;
 }
